Bug 6499 - pam_smbpass build error on ubuntu
pam_smbpass build error on ubuntu
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Client Tools
3.4.0rc1
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 06:59 UTC by Michael Adam
Modified: 2009-11-10 08:03 UTC (History)
3 users (show)

See Also:
bjacke: review+


Attachments
fix for v3-4-test (1.02 KB, patch)
2009-06-23 07:01 UTC, Michael Adam
bjacke: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Adam 2009-06-23 06:59:12 UTC
on my ubuntu 9.04 box, I can't build pam_smbpass from v3-4-test:

Compiling pam_smbpass/support.c
pam_smbpass/support.c: In function ‘_log_err’:
pam_smbpass/support.c:72: error: implicit declaration of function ‘pam_vsyslog’
The following command failed:
ccache gcc -g -ggdb -Wc++-compat -Wcomment -Wpointer-arith -Wcast-align -Wwrite-strings -Wstrict-prototypes -Wstrict-aliasing -Wmissing-prototypes -Wmissing-declarations -Wshadow -Wdeclaration-after-statement -D_FORTY_SOURCE=2 -fmessage-length=0 -g -g -Wall -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -DDEBUG_PASSWORD -DDEVELOPER -Wdeclaration-after-statement -Werror-implicit-function-declaration -I. -I/home/obnox/devel/samba/3.4/v3-4-test/source3 -I/home/obnox/devel/samba/3.4/v3-4-test/source3/iniparser/src -Iinclude -I./include  -I. -I. -I./../lib/replace -I./../lib/talloc -I./../lib/tevent -I./../lib/tdb/include -I./libaddns -I./librpc -I./.. -I/home/obnox/devel/samba/ctdb.git/include -DHAVE_CONFIG_H  -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -Iinclude -I./include -I. -I. -I./../lib/replace -I./../lib/talloc -I./../lib/tevent -I./../lib/tdb/include -I./libaddns -I./librpc -I./.. -I./../lib/popt -DLDAP_DEPRECATED  -I/home/obnox/devel/samba/3.4/v3-4-test/source3/lib -I.. -I../source4 -D_SAMBA_BUILD_=3 -D_SAMBA_BUILD_=3 -fPIC -c pam_smbpass/support.c -o pam_smbpass/support.o

The use of pam_vsyslog was introduced in commit 5c34ea94bdf9e3efb6743e52dd3c0c0088cff7d8
("s3:pam_smbpass: don't call openlog() or closelog() from pam_smbpass")

Michael
Comment 1 Michael Adam 2009-06-23 07:01:25 UTC
Created attachment 4344 [details]
fix for v3-4-test

please review and include in v3-4-test
Comment 2 Michael Adam 2009-06-23 07:31:34 UTC
(In reply to comment #1)
> Created an attachment (id=4344) [details]
> fix for v3-4-test
> 
> please review and include in v3-4-test

Note that this is a version of Bo Yang's patch to master that has been adapted to apply to v3-4-test.
Comment 3 Björn Jacke 2009-06-23 13:04:27 UTC
as this compiles well on a number of other platforms. We should make the compilation of pam modules an auto by default configure option.
Comment 4 Michael Adam 2009-06-26 19:06:52 UTC
please review and vote for inclusion in v3-4-test...
Comment 5 Björn Jacke 2009-06-27 04:35:03 UTC
yes, as it fixes the build for some platforms it should be in 3.4 IMHO
Comment 6 Karolin Seeger 2009-06-27 04:51:27 UTC
Pushed to v3-4-test.
Closing out bug report.

Thanks!